summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorMatthias Wachs <wachs@net.in.tum.de>2013-11-29 08:35:59 +0000
committerMatthias Wachs <wachs@net.in.tum.de>2013-11-29 08:35:59 +0000
commit915a12eaad727841b55916be7bb1e92aae183bc1 (patch)
tree0cef592629c1e8761b24669308550c2639e6e40f /contrib
parenta5348d0a91ed48db9dfaef827245af210d01a220 (diff)
- detect GNUnet installation
- detect if GNUnet is running
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/gnunet-gns-import.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/contrib/gnunet-gns-import.sh b/contrib/gnunet-gns-import.sh
index 502aeb9d8..268dd0467 100755
--- a/contrib/gnunet-gns-import.sh
+++ b/contrib/gnunet-gns-import.sh
@@ -2,6 +2,20 @@
# This shell-script will import some GNS authorities into your GNS
# namestore.
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+ echo "GNUnet command line tools not found, check environmental variables PATH and GNUNET_PREFIX"
+ exit 1
+fi
+
+gnunet-arm -I 1> /dev/null 2>/dev/null
+if [ ! $? -eq 0 ]
+then
+ echo "GNUnet is not running, please start GNUnet before running import"
+ exit 1
+fi
+
options=''
while getopts "c:" opt; do